Bug 39441 - Keyword not supported : 'multisubnetfailover' - error in mono
Summary: Keyword not supported : 'multisubnetfailover' - error in mono
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System.Data (show other bugs)
Version: 4.2.0 (C6)
Hardware: PC All
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-03-08 10:54 UTC by sanjay kumar singh
Modified: 2018-02-22 22:25 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description sanjay kumar singh 2016-03-08 10:54:19 UTC
Application which has the bug is using System.Data.SqlClient (ado.net) to make database connection with SQL Server 2014.Database  connectivity works fine with normal connection string however whenever I add MultiSubnetFailover = True in order to configure the application to support multi subnet failover, application throws an database connection error as mentioned below. While same connection string works fine on windows machine ( with .Net Framework without mono). Application is deployed on both Windows and Linux and this error occurs in both the environments.

This connection which is used in the application:
connectionString="Data Source=********; User ID=********; Password=********; Initial Catalog=********; Connection Timeout=300; MultiSubnetFailover=true" 

Error which is thrown  when MultiSubnetFailover=true used:

ExecuteGetDataTable Exception : System.ArgumentException: Keyword not supported : 'multisubnetfailover'. 
at System.Data.SqlClient.SqlConnection.SetProperties (System.String name, System.String value) [0x00000] in <filename unknown>:0 
at System.Data.SqlClient.SqlConnection.SetConnectionString (System.String connectionString) [0x00000] in <filename unknown>:0 
at System.Data.SqlClient.SqlConnection.set_ConnectionString (System.String value) [0x00000] in <filename unknown>:0 
at System.Data.SqlClient.SqlConnection..ctor (System.String connectionString) [0x00000] in <filename unknown>:0 
at (wrapper remoting-invoke-with-check) System.Data.SqlClient.SqlConnection:.ctor (string) 


Please help and advice.

Regards
Sanjay
Comment 1 Marek Safar 2018-02-22 22:25:05 UTC
Mono 5.10 has significantly improved System.Data implementation which should resolve this issue. If you can still reproduce it please reopen the issue.